package com.goafanti.weChat.bo;

import com.goafanti.common.model.PublicReleaseClock;
import com.goafanti.common.utils.excel.Excel;

import java.math.BigDecimal;
import java.util.List;

public class OutPublicDtails  {

	private Integer id;
	private Integer prdId;
	@Excel(name = "客户名称")
	private String userName;
	@Excel(name = "签单状态",readConverterExp = "0=未签单，1=已签单",width = 8)
	private Integer signBills;
	@Excel(name = "签单时间")
	private String signTime;
//	@Excel(name = "省市区") 废弃这个字段
	private String addressName;
	@Excel(name = "公出地点")
	private String districtName;
	@Excel(name = "跟单人")
	private String sname;
	@Excel(name = "公出申请人")
	private String mainName;
	@Excel(name = "公出打卡人")
	private String aname;
	@Excel(name = "协单人")
	private String assistAidName;
	@Excel(name = "公出时长",width = 8)
	private String duration;
	@Excel(name = "状态" ,readConverterExp = "0=驳回，1=待审核，2=同意，3=撤销，4=技术驳回",width = 8)
	private Integer status;
	@Excel(name = "公出开始时间")
	private String releaseStarts;
	@Excel(name = "公出结束时间")
	private String releaseEnds;

	private Integer clockIn;
	@Excel(name = "打卡状态",width = 8)
	private String clockInStr;
	@Excel(name = "打卡时间" )
	private String clockInTimes;
	@Excel(name = "创建时间" )
	private String createTimes;
	@Excel(name = "公出类型",readConverterExp = "0=业务公出，1=技术公出，2=行政公出，3=技术协单，4=协单助手",width = 8)
	private Integer type;
	@Excel(name = "公出目标" )
	private String remarks;
	@Excel(name = "公出计划" )
	private String plan;
	@Excel(name = "预计效果" )
	private String expectedEffect;
	@Excel(name = "本次公出目标总结" )
	private String supplement;
	@Excel(name = "下次计划" )
	private String nextPlan;
	@Excel(name = "本次面谈项目" )
	private String interviewProject;
	/**
	 * 前期沟通-客户的难处
	 */
	@Excel(name = "客户的难处" )
	private String earlyCommunication;
	/**
	 * 客户的需求
	 */
	@Excel(name = "客户需求" )
	private String customerDemand;
	/**
	 * 面谈思路
	 */
	@Excel(name = "面试思路" )
	private String interviewIdeas;
	/**
	 * 面谈达成的目的
	 */
	@Excel(name = "面谈达成的目的" )
	private String interviewPurpose;
	/**
	 * 经理/上级面谈建议
	 */
	@Excel(name = "经理/上级面谈建议" )
	private String interviewRecommend;
	/**
	 * 面谈后反馈
	 */
	@Excel(name = "面谈后反馈" )
	private String interviewFeedback;
	/**
	 * 后续跟进计划
	 */
	@Excel(name = "后续跟进计划" )
	private String followUpPlan;

	@Excel(name = "审核信息" )
	private String auditInfo;
	@Excel(name = "审核时间" )
	private String auditTimes;
	private String annexUrl;
	private String photoUrl;
	@Excel(name = "修改标识",readConverterExp = "0=否，1=是",width = 8)
	private Integer updateStatus;

	private String assistantAid;
	@Excel(name = "协单助手" )
	private String assistantName;
	private Integer assist;
	private Integer alone;
	private Integer objectType;
	@Excel(name = "合同编号" )
	private String contractNo;
	@Excel(name = "订单总金额" ,scale = 6)
	private BigDecimal totalAmout;

	public String getInterviewProject() {
		return interviewProject;
	}

	public void setInterviewProject(String interviewProject) {
		this.interviewProject = interviewProject;
	}

	public String getEarlyCommunication() {
		return earlyCommunication;
	}

	public void setEarlyCommunication(String earlyCommunication) {
		this.earlyCommunication = earlyCommunication;
	}

	public String getCustomerDemand() {
		return customerDemand;
	}

	public void setCustomerDemand(String customerDemand) {
		this.customerDemand = customerDemand;
	}

	public String getInterviewIdeas() {
		return interviewIdeas;
	}

	public void setInterviewIdeas(String interviewIdeas) {
		this.interviewIdeas = interviewIdeas;
	}

	public String getInterviewPurpose() {
		return interviewPurpose;
	}

	public void setInterviewPurpose(String interviewPurpose) {
		this.interviewPurpose = interviewPurpose;
	}

	public String getInterviewRecommend() {
		return interviewRecommend;
	}

	public void setInterviewRecommend(String interviewRecommend) {
		this.interviewRecommend = interviewRecommend;
	}

	public String getInterviewFeedback() {
		return interviewFeedback;
	}

	public void setInterviewFeedback(String interviewFeedback) {
		this.interviewFeedback = interviewFeedback;
	}

	public String getFollowUpPlan() {
		return followUpPlan;
	}

	public void setFollowUpPlan(String followUpPlan) {
		this.followUpPlan = followUpPlan;
	}

	public String getClockInStr() {
		return clockInStr;
	}

	public void setClockInStr(String clockInStr) {
		this.clockInStr = clockInStr;
	}

	public Integer getAlone() {
		return alone;
	}

	public void setAlone(Integer alone) {
		this.alone = alone;
	}

	public String getAddressName() {
		return addressName;
	}

	public void setAddressName(String addressName) {
		this.addressName = addressName;
	}

	private List<PublicReleaseClock> list;


	public List<PublicReleaseClock> getList() {
		return list;
	}

	public void setList(List<PublicReleaseClock> list) {
		this.list = list;
	}

	public Integer getPrdId() {
		return prdId;
	}

	public void setPrdId(Integer prdId) {
		this.prdId = prdId;
	}

	public Integer getSignBills() {
		return signBills;
	}

	public void setSignBills(Integer signBills) {
		this.signBills = signBills;
	}

	public String getSignTime() {
		return signTime;
	}

	public void setSignTime(String signTime) {
		this.signTime = signTime;
	}

	public Integer getObjectType() {
		return objectType;
	}

	public void setObjectType(Integer objectType) {
		this.objectType = objectType;
	}

	public String getContractNo() {
		return contractNo;
	}

	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}

	public BigDecimal getTotalAmout() {
		return totalAmout;
	}

	public void setTotalAmout(BigDecimal totalAmout) {
		this.totalAmout = totalAmout;
	}

	public String getAuditTimes() {
		return auditTimes;
	}

	public void setAuditTimes(String auditTimes) {
		this.auditTimes = auditTimes;
	}

	public String getAssistantAid() {
		return assistantAid;
	}

	public void setAssistantAid(String assistantAid) {
		this.assistantAid = assistantAid;
	}

	public String getAssistantName() {
		return assistantName;
	}

	public void setAssistantName(String assistantName) {
		this.assistantName = assistantName;
	}

	public Integer getAssist() {
		return assist;
	}

	public void setAssist(Integer assist) {
		this.assist = assist;
	}

	public String getMainName() {
		return mainName;
	}

	public void setMainName(String mainName) {
		this.mainName = mainName;
	}

	public String getAssistAidName() {
		return assistAidName;
	}

	public void setAssistAidName(String assistAidName) {
		this.assistAidName = assistAidName;
	}

	public Integer getUpdateStatus() {
		return updateStatus;
	}

	public void setUpdateStatus(Integer updateStatus) {
		this.updateStatus = updateStatus;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getPlan() {
		return plan;
	}

	public void setPlan(String plan) {
		this.plan = plan;
	}

	public String getExpectedEffect() {
		return expectedEffect;
	}

	public void setExpectedEffect(String expectedEffect) {
		this.expectedEffect = expectedEffect;
	}

	public String getNextPlan() {
		return nextPlan;
	}

	public void setNextPlan(String nextPlan) {
		this.nextPlan = nextPlan;
	}

	public String getSname() {
		return sname;
	}

	public void setSname(String sname) {
		this.sname = sname;
	}

	public String getSupplement() {
		return supplement;
	}

	public void setSupplement(String supplement) {
		this.supplement = supplement;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getAuditInfo() {
		return auditInfo;
	}

	public void setAuditInfo(String auditInfo) {
		this.auditInfo = auditInfo;
	}

	public String getCreateTimes() {
		return createTimes;
	}
	public void setCreateTimes(String createTimes) {
		this.createTimes = createTimes;
	}
	public String getClockInTimes() {
		return clockInTimes;
	}
	public void setClockInTimes(String clockInTimes) {
		this.clockInTimes = clockInTimes;
	}

	public String getDistrictName() {
		return districtName;
	}

	public void setDistrictName(String districtName) {
		this.districtName = districtName;
	}

	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getAname() {
		return aname;
	}
	public void setAname(String aname) {
		this.aname = aname;
	}
	public String getDuration() {
		return duration;
	}
	public void setDuration(String duration) {
		this.duration = duration;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public String getReleaseStarts() {
		return releaseStarts;
	}
	public void setReleaseStarts(String releaseStarts) {
		this.releaseStarts = releaseStarts;
	}
	public String getReleaseEnds() {
		return releaseEnds;
	}
	public void setReleaseEnds(String releaseEnds) {
		this.releaseEnds = releaseEnds;
	}
	public String getAnnexUrl() {
		return annexUrl;
	}
	public void setAnnexUrl(String annexUrl) {
		this.annexUrl = annexUrl;
	}
	public String getPhotoUrl() {
		return photoUrl;
	}
	public void setPhotoUrl(String photoUrl) {
		this.photoUrl = photoUrl;
	}
	public Integer getClockIn() {
		return clockIn;
	}
	public void setClockIn(Integer clockIn) {
		this.clockIn = clockIn;
	}

}
